Process a payment
curl --request POST \
--url https://api.notchpay.co/payments/{reference} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "cm.mtn",
"data": {
"phone": 237680000000,
"account_number": "<string>",
"country": "CM"
},
"client_ip": "<string>"
}
'import requests
url = "https://api.notchpay.co/payments/{reference}"
payload = {
"channel": "cm.mtn",
"data": {
"phone": 237680000000,
"account_number": "<string>",
"country": "CM"
},
"client_ip": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: 'cm.mtn',
data: {phone: 237680000000, account_number: '<string>', country: 'CM'},
client_ip: '<string>'
})
};
fetch('https://api.notchpay.co/payments/{reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "Accepted",
"message": "Payment processing initiated",
"code": 202,
"transaction": "<unknown>"
}API Reference
Process a payment
POST
/
payments
/
{reference}
Process a payment
Authorizations
ApiKeyAuthSyncAuth
Path Parameters
Reference of the transaction
Body
application/json
Was this page helpful?
⌘I